Bug 141575 - USB test complaining about USB hub
USB test complaining about USB hub
Status: CLOSED ERRATA
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: other (Show other bugs)
beta
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 03:18 EST by Jay Turner
Modified: 2015-01-07 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 12:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2004-12-02 03:18:46 EST
Description of problem:
With rhr2-rhel4-0.9-14.9e.dummyrun, after making changes for 'usbdevfs' ->
'usbfs' I'm getting told to remove a hub before the test will run correctly. 
This is on a Dell PE2800, which, although it's not in front of me, I'm pretty
sure is one of the Dell boxes that actually has a USB hub integrated into it.

I'm not sure that's something that we can even detect automatically, but might
make sense to have some sort of override or something so that they can actually
get through the test.  Something like allowing them to normalize to that state.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rob Landry 2004-12-06 16:19:58 EST
The test should proceed anyway; and assuming you don't include the
"port" the USB hub is on then it should even repeat the correct number
of time.  Would it work to simply change the phrasing to suggest
removing those?  Unfortunately AFAIK it's not possible to know how
many "physical" USB ports there are so we run off of user provided
(eg. error prone) data anyway.
Comment 2 Rob Landry 2005-04-29 09:44:19 EDT
As of 1.1 all USB hubs should be ignored.
Comment 3 Richard Li 2005-05-11 12:39:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-419.html

Note You need to log in before you can comment on or make changes to this bug.